IPHlpAPI.MIB_UDPTABLE_OWNER_PID (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: IPHlpAPI, class: MIB_UDPTABLE_OWNER_PID

Package com.sun.jna.platform.win32

# Class IPHlpAPI.MIB_UDPTABLE_OWNER_PID

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.IPHlpAPI.MIB_UDPTABLE_OWNER_PID

Enclosing interface:
  IPHlpAPI

@FieldOrder({"dwNumEntries","table"}) public static class IPHlpAPI.MIB_UDPTABLE_OWNER_PID extends Structure
Contains a table of IPv6 UDP connections on the local computer.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `dwNumEntries`
  `IPHlpAPI.MIB_UDPROW_OWNER_PID[]`
  `table`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MIB_UDPTABLE_OWNER_PID(Pointer buf)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `read()`
  Reads the fields of the struct from native memory

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### dwNumEntries

    public int dwNumEntries

  - ### table

    public IPHlpAPI.MIB_UDPROW_OWNER_PID[] table

- ## Constructor Details

  - ### MIB_UDPTABLE_OWNER_PID

    public MIB_UDPTABLE_OWNER_PID(Pointer buf)

- ## Method Details

  - ### read

    public void read()
    Description copied from class: `Structure`
    Reads the fields of the struct from native memory
    Overrides:
      `read` in class `Structure`